Bug 122387 - Cannot change paper size for printing on an Epson L200
Summary: Cannot change paper size for printing on an Epson L200
Status: RESOLVED INSUFFICIENTDATA
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Writer (show other bugs)
Version:
(earliest affected)
3.3.2 release
Hardware: All Windows (All)
: medium normal
Assignee: Not Assigned
URL:
Whiteboard:
Keywords:
Depends on:
Blocks: Print
  Show dependency treegraph
 
Reported: 2018-12-31 00:31 UTC by randomly_chosen
Modified: 2019-08-19 07:07 UTC (History)
0 users

See Also:
Crash report or crash signature:
Regression By:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description randomly_chosen 2018-12-31 00:31:04 UTC
Description:
PRINTING: When trying to print a document on LibreOffice Writer using my Epson L200 printer, I cannot change the size the document will be printed on. I can go to the printer properties and change the paper size, but upon clicking OK and returning to the dialogue box for printing, the size will have returned to the default (A4). If I try to open the printer properties again, the paper size will have returned to A4 there as well. It appears to occasionally, randomly accept a different paper size, but I cannot get it to change reliably.

Steps to Reproduce:
1. On LibreOffice Writer, choose File > Print.
2. Choose an Epson L200 and select Properties. 
3. On that dialogue, change the paper size and click OK.

Actual Results:
Changing the paper size on the Properties dialogue does not actually change it; the print preview refreshes but remains on the default size (A4). If the Properties dialogue is opened again, the default size is selected again.

Expected Results:
The paper size changes.


Reproducible: Always


User Profile Reset: No



Additional Info:
Versão: 5.3.3.2
ID de compilação: 3d9a8b4b4e538a85e0782bd6c2d430bafe583448
Threads da CPU:4; Versão do SO: Windows 6.1; Realizador da interface: padrão; Motor de leiaute: novo; 
Local: pt-BR (pt_BR); Calc: CL
Comment 1 Dieter 2018-12-31 13:10:00 UTC
Thank you for reporting the bug. It seems you're using an old version of LibreOffice. Could you please try to reproduce it with the latest version of LibreOffice from https://www.libreoffice.org/download/libreoffice-fresh/ ? I have set the bug's status to 'NEEDINFO'. Please change it back to 'UNCONFIRMED' if the bug is still present in the latest version. Change to RESOLVED WORKSFORME, if the problem went away.
Comment 2 Timur 2018-12-31 14:23:19 UTC
User must know about "Use only paper size from printer preferences" checkbox on the "Options" tab if (s)he wants to change paper size just for single print.
Please try with that. 
And explain exactly what's the original paper size you're trying to change.
Comment 3 Timur 2018-12-31 14:35:45 UTC
You need to be specific on paper size to know if this is a duplicate of, for example, Bug 105615.
Comment 4 randomly_chosen 2018-12-31 18:33:41 UTC
(In reply to Dieter Praas from comment #1)
> Thank you for reporting the bug. It seems you're using an old version of
> LibreOffice. Could you please try to reproduce it with the latest version of
> LibreOffice from https://www.libreoffice.org/download/libreoffice-fresh/ ? I
> have set the bug's status to 'NEEDINFO'. Please change it back to
> 'UNCONFIRMED' if the bug is still present in the latest version. Change to
> RESOLVED WORKSFORME, if the problem went away.

I now updated to 6.0.7.3, is that the latest version? Problem remains.
Comment 5 randomly_chosen 2018-12-31 18:40:30 UTC
(In reply to Timur from comment #2)
> User must know about "Use only paper size from printer preferences" checkbox
> on the "Options" tab if (s)he wants to change paper size just for single
> print.
> Please try with that. 
> And explain exactly what's the original paper size you're trying to change.

I tried using the checkbox "Use only paper size from printer preferences"; it did not change anything.

About the paper size: The size I'm trying to print in is 'user defined' 21,59cm x 33,30cm, but I've tried changing it to other sizes and the problem usually remains. (Sometimes I successfully change to a different size, but it seems random; there isn't a certain size it'll accept.) While trying to troubleshoot this, I accidentally installed a US driver for the printer which set my default size to letter; while it was installed, the problem remained, except that the size it was stuck on was letter instead of A4. (That is to say, it seems to be stuck on whatever the default paper size is.)

It does seem to be quite similar to Bug 105615, though. Should I do anything?
Comment 6 Fumihiko 2019-01-08 11:56:31 UTC
I have same probrem in my document.

I tryed to print "Hagaki" (Japanese postcard) size document with EPSON printer,
but it doesnt't work.
Creating "Hagaki" size PDF with PDF creater software (work as printer) is work correctly,
so it seems to upon only when we use EPSON printer.
Comment 7 QA Administrators 2019-07-08 02:49:18 UTC Comment hidden (obsolete)
Comment 8 QA Administrators 2019-08-19 07:07:41 UTC
Dear randomly_chosen,

Please read this message in its entirety before proceeding.

Your bug report is being closed as INSUFFICIENTDATA due to inactivity and
a lack of information which is needed in order to accurately
reproduce and confirm the problem. We encourage you to retest
your bug against the latest release. If the issue is still
present in the latest stable release, we need the following
information (please ignore any that you've already provided):

a) Provide details of your system including your operating
   system and the latest version of LibreOffice that you have
   confirmed the bug to be present

b) Provide easy to reproduce steps – the simpler the better

c) Provide any test case(s) which will help us confirm the problem

d) Provide screenshots of the problem if you think it might help

e) Read all comments and provide any requested information

Once all of this is done, please set the bug back to UNCONFIRMED
and we will attempt to reproduce the issue. Please do not:

a) respond via email 

b) update the version field in the bug or any of the other details
   on the top section of our bug tracker

Warm Regards,
QA Team

MassPing-NeedInfo-FollowUp